package com.zcloud.service.statistics;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单统计记录
 * 作者：luoxiaobao
 * 时间：2021-01-27
 * 官网：www.zcloudchina.com
 */
public interface ListStatisticsService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deletewl(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getCountList(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	/**定时器查询
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByCondition(PageData pd)throws Exception;


	public PageData getTimeAstrict(PageData pd)throws Exception;

	/**人员应处理清单数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countStaByUser(PageData pd)throws Exception;

	/**人员应处理清单数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countSta(PageData pd)throws Exception;

	/**检查情况列表
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> checkSituation(PageData pd)throws Exception;
	/**人员应处理清单个数（节假日清单数算1）
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countListStaByUser(PageData pd)throws Exception;

	/**人员应处理清单数（各周期）
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countByPeriodUser(PageData pd)throws Exception;

	public List<PageData> listAllForPlan(PageData pd)throws Exception;

	public List<PageData> mergeListAllForPlan(PageData pd)throws Exception;
}

